<template>
  <div id="noticeleft">
    <el-row>
      <el-col :span="24">
        <el-image style="width:303px;height:195px" :src="topimage"></el-image>
        <el-col :span="24" class="menu">
          <el-menu :default-active="active" :router="true">
            <el-menu-item v-for="(item, index) in leftmenu" :key="index" :index="item.path">
              <span>{{ item.title }}</span>
            </el-menu-item>
          </el-menu>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
export default {
  name: 'noticeleft',
  props: {
    leftmenu: null,
  },
  components: {},
  data: () => ({
    topimage: require('../../../assets/menutop.png'),
  }),
  created() {},
  computed: {
    active() {
      return this.$route.path;
    },
  },
  methods: {
    handleOpen(key, keyPath) {
      // eslint-disable-next-line no-console
      console.log(key, keyPath);
    },
    handleClose(key, keyPath) {
      // eslint-disable-next-line no-console
      console.log(key, keyPath);
    },
  },
};
</script>

<style lang="less" scoped>
.menu {
  margin: -4px 0 0 0;
}
.el-menu-item.is-active {
  background: #b9c1d7;
}
.el-menu-item {
  color: #415285;
  text-align: center;
  font-size: 24px;
  padding: 0 !important;
}
</style>
